/**
 * 获取系统内置配置信息
 */
export const getInnerConfig = () => {
  return window.innerConfig || {};
};

/**
 * 三维视图和业务视图通信标识常量
 */
export const CONSTS = {
  control: 'control', // 控制类型 例如 注销
  forward: 'forward', // 页面跳转
  menu_change: 'menu_change', // 菜单切换
  region_change: 'region_change', // 厂区切换
  plan_detail: 'plan_detail_onclick'
};

export const sessionConsts = {
  systemMenu: 'systemMenu'
};

const getAll = function(consts) {
  return Object.values(consts) || [];
};

export default getAll;
